<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Playground — Complete Intro to Vue 3</title>
  </head>
  <body>
    <h1>Hello</h1>
    <div id="app">
      <p v-if="message.length % 2 === 0">Even: {{ message }}</p>
      <p v-else>Odd: {{ message }}</p>
      <ul>
        <li v-for="number in numbers">{{ number }}</li>
      </ul>
    </div>
    <script src="https://unpkg.com/vue@3/dist/vue.global.js"></script>
    <script>
      const { createApp } = Vue

      const app = createApp({
        data() {
          return {
            message: 'Hello it works',
            numbers: [1,2,3]
          }
        }
      })
      
      app.mount('#app')
    </script>
  </body>
</html>
